This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 163378 - kickstart.py exception at line 1559 in setGroupSelection
kickstart.py exception at line 1559 in setGroupSelection
Status: CLOSED DUPLICATE of bug 160209
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
4
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Anaconda Maintenance Team
Mike McLean
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-07-15 14:17 EDT by nkraft
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-07-15 15:42:09 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description nkraft 2005-07-15 14:17:52 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.8) Gecko/20050511 Firefox/1.0.4

Description of problem:
When performing a kickstart and using the "-package" syntax in the %packages section, there is an exception in /usr/lib/anaconda/kickstart.py at line 1559 in setGroupSelection.  On line 1558 there is a hasKey check for variable "n", but line 1559 uses variable "name" as a key, so this appears to be a simple programming error.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.Add "-doxygen" (or any package) to the %packages section of the kickstart file.
2.Initiate kickstart using DVD iso over nfs.

Additional info:
Comment 1 Chris Lumens 2005-07-15 15:42:09 EDT

*** This bug has been marked as a duplicate of 160209 ***

Note You need to log in before you can comment on or make changes to this bug.